# FireSale

* [Website](http://www.getfiresale.org)
* [Documentation](http://www.getfiresale.org/documentation)
* [License](https://github.com/firesale/firesale/blob/1.2/master/LICENSE)
* Version: 1.2.2

## Team

* [Jamie Holdroyd](http://www.jholdroyd.com)
* [Chris Harvey](http://www.chrisnharvey.com)
* [Adam Sturrock](http://www.adamsturrock.co.uk)

## Description

FireSale is a lightweight, extensible eCommerce platform designed and built around [PyroCMS](http://www.pyrocms.com). We've aimed to keep it small yet highly functional while making it easy to use for you and your clients, enabling you to get your new store running in no time. In the core we've included everything you need to build an amazing store and the two additional modules (search and shipping) are intended to be used not only as a template for your future development but also key to the default usability. These two features were left out of the core as we know they're the areas most likely to be customised by many clients and felt it was necessary to allow them to be easily replaced.

Through a slightly modified version of the standard details file found in any PyroCMS module we have put together a framework that allows the core and add-ons to look and feel the same on the admin side while interacting seamlessly across the whole package. The idea of extensibility was something we had from day-one and everything we've done has been based around this principle. We've aimed to allow you to use the core as a starting point and to require as little modification as possible and moving all customisation to the add-ons. While add-ons do a lot of the customisation we've also aimed to make as much of the core streams enabled as possible, with more of it being converted as time goes on, meaning you can easily customise and change the options for each area of the module.

## Features
* Highly powerful product and category creation
* Complete order tracking
* Product variations and modifiers
* Informative dashboard with more information added via modules
* Available in 6 (and counting) Languages
* Total design control over pages
* Simple and intuative interface
* 15 Payment Gateways, powered by CI-Merchant and easily extended
* Complete route management and custom URLs
* Multiple currency options via API
* Almost fully extensible through modules
* Totally streams powered for easy customisation
* Drag and drop, files integrated, image uploading
* Complete with shipping and search

## Requirements

Before attempting installation please ensure you meet the following requirements and you have:

1. PyroCMS Version 2.1.5 or greater
2. PHP 5.2 or above
3. MySQL 5.x

## Installation

1. Upload the FireSale modules to your shared_addons or addons/default module folder
2. Within your administration panel, navigate to Addons, find FireSale and press Install
3. All done, easy wasn't it?!

### Optional Steps

After FireSale is installed you can also install the three additional modules provided with the core to enable Design, Shipping and Search. These modules have no extra requirements and should just work after being enabled.

## Feedback and issues

If you find any issues or want to provide feedback we'd appreciate it if you used the GitHub issue tracker and we'll try to address them as soon as we can.

## Pull Requests

If you would like to submit your bug fixes, enhancements and translations to the project then you are welcome to submit pull requests here on GitHub. We do however ask that you use the UNIX LF (\n) line endings. Git can automatically do this for you. For more information about this see this [help page](https://help.github.com/articles/dealing-with-line-endings).

# Contributors

Thank you to everyone that has helped along the way, contributing not only code but time, ideas and coffee, without you this wouldn't have been possible.
